Skip to main content
`Ctrl`+`K`

# KSPHPDDMGetDeflationMat

Gets the deflation space computed by Krylov methods in `KSPHPDDM` with recycling or `NULL` if `KSPSolve()` has not been called yet.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPHPDDMGetDeflationMat(KSP ksp, Mat *U)

## Input Parameter

- ksp - iterative context

## Output Parameter

- U - deflation space generated during `KSPSolve()`

## Note

This space is viewed as a set of vectors stored in a `MATDENSE` (column major). It is the responsibility of the user to free the returned `Mat`.

## See Also

KSP: Linear System Solvers, `KSPHPDDM`, `KSPCreate()`, `KSPType`, `KSPHPDDMSetDeflationMat()`

## Level

intermediate

## Location

src/ksp/ksp/impls/hpddm/hpddm.cxx

## Examples

src/ksp/ksp/tutorials/ex75.c
src/ksp/ksp/tutorials/ex75f.F90

## Implementations

KSPHPDDMGetDeflationMat_HPDDM() in src/ksp/ksp/impls/hpddm/hpddm.cxx

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages